/*
 * $QNXLicenseC:
 * Copyright 2008, QNX Software Systems. 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"). You 
 * may not reproduce, modify or distribute this software except in 
 * compliance with the License. You may obtain a copy of the License 
 * at: http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTIES OF ANY KIND, either express or implied.
 *
 * This file may contain contributions from others, either as 
 * contributors under the License or as licensors under other terms.  
 * Please review this entire file for other proprietary rights or license 
 * notices, as well as the QNX Development Suite License Guide at 
 * http://licensing.qnx.com/license-guide/ for other information.
 * $
 */






/*
	This source file isn't included in the startup library.
	It's only used to build the asmoff.def file.

	CPU specific definitions
*/
#include "asmoff.h"
#include "lapic.h"

VALUE(SYSPAGE_REALADDR,	offsetof(struct syspage_entry, un.x86.real_addr));

VALUE(SYSPAGE_X86_SMPINFO, 	offsetof(struct syspage_entry, un.x86.smpinfo));
VALUE(X86_AP_START_ADDR,	offsetof(struct x86_smpinfo_entry, ap_start_addr));

VALUE(LAPIC_EOI,			LAPIC_EOI);
VALUE(LAPIC_LTR,			LAPIC_LTR);
VALUE(LVT_MASKED,			LVT_MASKED);

__SRCVERSION("asmoff.c $Rev: 1 $");
