/*
 * $QNXLicenseC:
 * Copyright 2008, QNX Software Systems. 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"). You 
 * may not reproduce, modify or distribute this software except in 
 * compliance with the License. You may obtain a copy of the License 
 * at: http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTIES OF ANY KIND, either express or implied.
 *
 * This file may contain contributions from others, either as 
 * contributors under the License or as licensors under other terms.  
 * Please review this entire file for other proprietary rights or license 
 * notices, as well as the QNX Development Suite License Guide at 
 * http://licensing.qnx.com/license-guide/ for other information.
 * $
 */




/*
 This code runs in 32 bit protected mode and finishes off the 
 initialization begun in 16apstart.S
*/


.text
	
	.extern		cpu_starting
	.extern		init_one_cpuinfo
	.extern		board_smp_adjust_num
	.extern		syspage_available
	.extern		smp_spin_vaddr
	.extern		cpu_startnext

	.globl		smp_start
smp_start:
    movw    $0x0008,%ax
    movw    %ax,%ds
    movw    %ax,%es
    movw    %ax,%ss
    movl    $stk,%esp
    movl    cpu_starting,%eax
    decl    %eax
	pushl	%eax
	call	board_smp_adjust_num
	movl	%eax,%ebx
	movl	%eax,(%esp)
    call    init_one_cpuinfo
    xorl    %eax,%eax
    movl    %eax,cpu_starting
	call	lapic_configure
	
	// Wait for the BSP to finish initializing the system page
1:
	movl	syspage_available,%eax
    cmpl	%eax,%ebx
    jne     1b
    pushl   %ebx
    pushl   smp_spin_vaddr
    call    cpu_startnext	// we don't come back from this
	
.data

	.space	512
stk:
