/*
 * $QNXLicenseC:
 * Copyright 2008, QNX Software Systems. 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"). You 
 * may not reproduce, modify or distribute this software except in 
 * compliance with the License. You may obtain a copy of the License 
 * at: http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTIES OF ANY KIND, either express or implied.
 *
 * This file may contain contributions from others, either as 
 * contributors under the License or as licensors under other terms.  
 * Please review this entire file for other proprietary rights or license 
 * notices, as well as the QNX Development Suite License Guide at 
 * http://licensing.qnx.com/license-guide/ for other information.
 * $
 */





#include "startup.h"

uint8_t		acpi_ignore;


int
cpu_handle_common_option(int opt) {
	switch(opt) {
	case 'B':
		acpi_ignore = 1;
		return 1;
	case 'x':
		x86_cputype(); // get cpu_features set.
		if(cpu_features & X86_FEATURE_PAE) {
			paddr_bits = 36;
		}
		return 1;
	}
	return 0;
}

__SRCVERSION("cpu_common_options.c $Rev: 1 $");
