/*
 * $QNXLicenseC:
 * Copyright 2008, QNX Software Systems. 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"). You 
 * may not reproduce, modify or distribute this software except in 
 * compliance with the License. You may obtain a copy of the License 
 * at: http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTIES OF ANY KIND, either express or implied.
 *
 * This file may contain contributions from others, either as 
 * contributors under the License or as licensors under other terms.  
 * Please review this entire file for other proprietary rights or license 
 * notices, as well as the QNX Development Suite License Guide at 
 * http://licensing.qnx.com/license-guide/ for other information.
 * $
 */




.text

#define DELAY			\
	pushl	%ecx;		\
	movl	$32,%ecx;	\
99:	loop	99b;		\
	popl	%ecx

	.globl		x86_fputype
x86_fputype:
    pushl     %ebp
    xorl      %eax,%eax
    pushl     %eax
    movl      %esp,%ebp
    fninit    
	DELAY
	
    fnstcw   (%ebp)
	DELAY
	
//
// byte 1 of control word must be 3 if co-processor present.
//
    movb      0x1(%ebp),%ah
    cmpb      $0x03,%ah
    movl      $0,%eax
    jne       X$5

//
// Test for 8087:	Later NDP's don't support IEM (interrupt disable/enable)
//
    movl      $87,%eax
    andw      $0xff7f,(%ebp)
    fldcw    (%ebp)
	.byte	  0xdb, 0xe1	// fndisi
    fnstcw   (%ebp)
	DELAY
    testw     $0x0080,(%ebp)
    jne       X$5
	
//
// Test for 80287:	Later NDP's discern +/- infinity in default mode.
//
    fninit    
	DELAY
    fld1      
    fldz      
    fdivp     %st,%st(1)	// divide 1 by 0 to get infinity
    fld       %st
    fchs      				// get negative infinity
    fcompp    
    fstsw     (%ebp)
    movw      (%ebp),%ax
    sahf      
    movl      $287,%eax
    je        X$5
	
//
// must be a 387.
//
    movl      $387,%eax
X$5:
    fninit    
    popl      %ebp
    popl      %ebp
    ret       
